<?php
/**
 * StickyHeader.
 *
 * @package MadeByAura\Prime\Hooks
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Hooks;

use MadeByAura\Prime\Base;
use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * StickyHeader.
 */
class StickyHeader {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Add template part.
		add_action( 'wp_footer', [ __CLASS__, 'add_template_part' ] );
	}

	/**
	 * Add template part.
	 */
	public static function add_template_part() {
		Base::view( 'views/sticky-header/index' );
	}
}
